1. Sandbox
  • Welcome to the Cold Mail Reseller API
  • Get Started
    • Overview
    • Authentication
    • Quick Start
  • Core Concepts
    • Users
    • Domains
    • DNS Management
    • Mailboxes
    • Subscriptions
    • Pre-Warmup
    • Domain Renewal
    • 1+ Year Subscriptions
    • Mailbox Warmup
    • Platform Exports
    • OAuth Exports
    • Sandbox API
  • API Reference
    • Users
      • List Users
      • Get User
      • Create User
      • Update User
      • Delete User
    • Geo
      • List Countries
      • List States
    • Domains
      • Domain Renewal
        • Get Domain Renewal Prices
        • Renew Domains
        • Toggle Domain Auto-Renew
      • Get Domains by User
      • Check Domain Availability
      • Check Single Domain Availability
      • Check Workspace Existence
      • Set Domain Forwarding
      • Set Email Forwarding
      • Delete Domains
    • DNS
      • Get DNS Records
      • Add DNS Records
      • Update DNS Record
      • Update Nameservers
      • Delete DNS Record
    • Mailboxes
      • List Mailboxes
      • Get Mailboxes by User
      • Get Mailbox
      • Get Admin Mailbox Details
      • Update Mailbox Details
      • Delete Mailbox
    • Mailbox Warmup
      • Add Warmup to Mailbox
      • Toggle Warmup
      • Update Warmup Settings
      • Set Warmup Status
      • Disable Warmup
    • Orders
      • Get Order Status
      • Get Order Details
      • Create Order
      • Create Order (JSON)
      • Create Mailbox Order (JSON)
      • Process Order
    • Subscriptions
      • 1+ Year Subscription
        • Recreate Subscription
      • Get Subscriptions
      • Renew Subscriptions
      • Cancel Subscription
      • Toggle Auto-Renewal
    • Exports
      • Platform Exports
        • Get Platform Credentials
        • Add Platform Credential
        • Export Mailboxes to Platform
        • Remove Platform Credential
      • OAuth Exports
        • Perform OAuth
        • Add Client ID to Domains
    • Pre-Warmup
      • Sandbox
        • Get Sandbox Pre-warmup Domains
          GET
        • Order Sandbox Pre-warmup
          POST
        • Reset Sandbox Pre-warmup
          GET
      • Get Pre-warmup Domains
        GET
      • Order Pre-warmup
        POST
    • Placement Test
      • Create Placement Order
      • Get Placement Reports
  • Resources
    • Errors
    • Rate Limits
    • Pagination
    • Sandbox
    • MCP
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Mailbox Events
      • Subscription Events
      • Prewarmup Events
      • Mailbox Warmup Events
  • Schemas
    • Error
    • Success
    • MessageResponse
    • User
    • Domain
    • ErrorResponse
    • Mailbox
    • Subscription
    • DnsRecord
    • Error Response
    • Pagination Meta
    • Action Error Response
    • PrewarmupOrderResult
    • OrderCreationResult
  1. Sandbox

Get Sandbox Pre-warmup Domains

GET
/sandbox/pre-warmup
Returns available sandbox pre-warmup domains for testing.
Use these to test the pre-warmup order flow without incurring real charges or registering real domains.
Filter by serviceProvider (GOOGLE or MICROSOFT) or search by domain substring using contains.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Responses

🟢200Success
application/json
Pre-warmed up domains fetched successfully
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://customers.coldmailreseller.com/api/v1/integration/sandbox/pre-warmup?serviceProvider=undefined&contains=sandbox&page=1&limit=20' \
--header 'cmr-x-api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "status": 200,
    "message": "Pre-warmed up domains fetched successfully",
    "data": {
        "inventory": [
            {
                "domain": "sandbox.nexora-tech.com",
                "preWarmedUpMailboxes": [
                    {
                        "email": "jwilson@sandbox.nexora-tech.com",
                        "firstName": "James",
                        "lastName": "Wilson",
                        "createdAt": "2025-01-15T10:00:00.000Z",
                        "profilePicture": "string"
                    }
                ],
                "purchasePrice": 30,
                "renewalPrice": 15
            }
        ],
        "currentPage": 1,
        "totalPages": 1,
        "totalDomains": 4,
        "totalMailboxes": 12
    }
}
Modified at 2026-08-06 06:20:56
Previous
Add Client ID to Domains
Next
Order Sandbox Pre-warmup
Built with